For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set task status to completed

Transition a task to Completed

post

Transition a task to Completed. Allowed only for the owner service or extension. Valid when status is Processing.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
post/public/v1/system/tasks/{id}/complete
POST /public/v1/system/tasks/{id}/complete HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "started": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "rescheduled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queued": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "status": "Queued",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parent": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "Queued",
    "code": "platform.accounts.buyers.transfer"
  },
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ]
}

Last updated

Was this helpful?